Skip to content
Start here

Connect to browser session.

client.browserRendering.devtools.browser.connect(stringsessionId, BrowserConnectParams { account_id, keep_alive, lab, recording } params, RequestOptionsoptions?): void
GET/accounts/{account_id}/browser-rendering/devtools/browser/{session_id}

Establishes a WebSocket connection to an existing browser session.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Browser Rendering WriteBrowser Rendering Read
ParametersExpand Collapse
sessionId: string

Browser session ID to connect to.

formatuuid
params: BrowserConnectParams { account_id, keep_alive, lab, recording }
account_id: string

Path param: Account ID.

keep_alive?: number

Query param: Keep-alive time in ms (only valid when acquiring new session).

maximum1200000
minimum10000
lab?: boolean

Query param: Use experimental browser.

recording?: boolean

Query param

Connect to browser session.

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

await client.browserRendering.devtools.browser.connect('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
  account_id: 'account_id',
});
Returns Examples